Error installing kodi-pvr-hts

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
kbfifi
Posts: 5
Joined: Mon Sep 18, 2017 11:14 am

Error installing kodi-pvr-hts

Post by kbfifi »

Hi, I am using dietpi on my odroid C2. Installed kodi by using the dietpi -launcher. Now I'm trying to install kodi-pvr-hts and I get an archive conflict:

apt-get install kodi-pvr-hts
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
libpci3
Use 'apt-get autoremove' to remove it.
The following extra packages will be installed:
kodi kodi-bin libcrossguid0v4
Recommended packages:
kodi-visualization-spectrum libmad0 libmpeg2-4 libplist2 libvorbisfile3 udisks2
The following NEW packages will be installed:
kodi kodi-bin kodi-pvr-hts libcrossguid0v4
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 5,945 kB of archives.
After this operation, 21.7 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://ftp.debian.org/debian/ jessie-backports/main libcrossguid0v4 arm64 0.0+git200150803-2~bpo8+1 [6,890 B]
Get:2 http://ftp.debian.org/debian/ jessie-backports/main kodi-bin arm64 16.1+dfsg1-2~bpo8+2 [5,716 kB]
Get:3 http://ftp.debian.org/debian/ jessie-backports/main kodi arm64 16.1+dfsg1-2~bpo8+2 [16.3 kB]
Get:4 http://ftp.debian.org/debian/ jessie-backports/main kodi-pvr-hts arm64 2.2.14-1~bpo8+1 [206 kB]
Fetched 5,945 kB in 1s (4,632 kB/s)
Selecting previously unselected package libcrossguid0v4:arm64.
(Reading database ... 51529 files and directories currently installed.)
Preparing to unpack .../libcrossguid0v4_0.0+git200150803-2~bpo8+1_arm64.deb ...
Unpacking libcrossguid0v4:arm64 (0.0+git200150803-2~bpo8+1) ...
dpkg: error processing archive /var/cache/apt/archives/libcrossguid0v4_0.0+git200150803-2~bpo8+1_arm64.deb (--unpack):
trying to overwrite '/usr/lib/aarch64-linux-gnu/libcrossguid.so.0.0.1', which is also in package libcrossguid0:arm64 0.0+git200150803-dmo1
Selecting previously unselected package kodi-bin:arm64.
Preparing to unpack .../kodi-bin_16.1+dfsg1-2~bpo8+2_arm64.deb ...
Unpacking kodi-bin:arm64 (16.1+dfsg1-2~bpo8+2) ...
Selecting previously unselected package kodi.
Preparing to unpack .../kodi_16.1+dfsg1-2~bpo8+2_arm64.deb ...
Unpacking kodi (16.1+dfsg1-2~bpo8+2) ...
Selecting previously unselected package kodi-pvr-hts.
Preparing to unpack .../kodi-pvr-hts_2.2.14-1~bpo8+1_arm64.deb ...
Unpacking kodi-pvr-hts (2.2.14-1~bpo8+1) ...
Processing triggers for mime-support (3.58) ...
Errors were encountered while processing:
/var/cache/apt/archives/libcrossguid0v4_0.0+git200150803-2~bpo8+1_arm64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Using:
Linux DietPi 3.14.79+ #1 SMP PREEMPT Sun Jul 23 00:04:44 CEST 2017 aarch64 GNU/Linux


Any suggestions?
User avatar
WarHawk
Posts: 610
Joined: Thu Jul 20, 2017 8:55 am

Re: Error installing kodi-pvr-hts

Post by WarHawk »

kbfifi
Posts: 5
Joined: Mon Sep 18, 2017 11:14 am

Re: Error installing kodi-pvr-hts

Post by kbfifi »

I understand there could be some instability because of backports. Probably Dietpi for C2 depends on backports out of the box. I didn't add additional sources:
cat /etc/apt/sources.list.d/
meveric-all-C2.list meveric-all-testing.list meveric-jessie-main.list
meveric-all-main.list meveric-jessie-backports.list owncloud.list
root@DietPi:~# cat /etc/apt/sources.list.d/meveric-jessie-backports.list
deb http://fuzon.co.uk/meveric jessie backports

Is there a know issue with a backport for C2 that can explain my issue?
User avatar
WarHawk
Posts: 610
Joined: Thu Jul 20, 2017 8:55 am

Re: Error installing kodi-pvr-hts

Post by WarHawk »

is meveric-jessie the 64bit version dietpi is using?

might be a "sloppy distro"?
sloppy distributions

To guarantee a clean upgrade path from a previously stable distribution to the next stable it is not allowed to upload packages from the current testing to that backport distribution. To allow some newer packages for those systems we create so called sloppy distributions. For oldstable (jessie) packages from the current testing (stretch) are allowed to be uploaded to jessie-backports-sloppy.

You can use it exactly as the current backports distribution, just add another line to your sources.list and install new packages via apt-get -t jessie-backports-sloppy install or apt-get -t stretch-backports install

one of the dietpi dev guys will probably have to chime in...
kbfifi
Posts: 5
Joined: Mon Sep 18, 2017 11:14 am

Re: Error installing kodi-pvr-hts

Post by kbfifi »

Thanks for you explaination! I don't want to break my installation by doing too much experimenting ;-)

Hope a DietPi developer can chime in indeed.
kbfifi
Posts: 5
Joined: Mon Sep 18, 2017 11:14 am

Re: Error installing kodi-pvr-hts

Post by kbfifi »

Can a DietPi developer have a look at this topic please?

Thanks! :)
Post Reply